Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.makeithappen.model.task.impl
Class TaskPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecp.makeithappen.model.task.impl.TaskPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, TaskPackage

    public class TaskPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements TaskPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.makeithappen.model.task.TaskPackage
`TaskPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.makeithappen.model.task.TaskPackage
`DATE_OF_BIRTH, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, GENDER, NATIONALITY, TASK, TASK___HAS_NAME__DIAGNOSTICCHAIN_MAP, TASK__ASSIGNEE, TASK__DESCRIPTION, TASK__DONE, TASK__DUE_DATE, TASK__NAME, TASK__SUB_TASKS, TASK_FEATURE_COUNT, TASK_OPERATION_COUNT, USER, USER__ACTIVE, USER__DATE_OF_BIRTH, USER__EMAIL, USER__FIRST_NAME, USER__GENDER, USER__HEIGTH, USER__LAST_NAME, USER__NATIONALITY, USER__TASKS, USER__TIME_OF_REGISTRATION, USER__WEIGHT, USER_FEATURE_COUNT, USER_GROUP, USER_GROUP__NAME, USER_GROUP__USERS, USER_GROUP_FEATURE_COUNT, USER_GROUP_OPERATION_COUNT, USER_OPERATION_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EDataType` | `getDateOfBirth()`
`org.eclipse.emf.ecore.EEnum` | `getGender()`
`org.eclipse.emf.ecore.EEnum` | `getNationality()`
`org.eclipse.emf.ecore.EOperation` | `getTask__HasName__DiagnosticChain_Map()`
`org.eclipse.emf.ecore.EReference` | `getTask_Assignee()`
`org.eclipse.emf.ecore.EAttribute` | `getTask_Description()`
`org.eclipse.emf.ecore.EAttribute` | `getTask_Done()`
`org.eclipse.emf.ecore.EAttribute` | `getTask_DueDate()`
`org.eclipse.emf.ecore.EAttribute` | `getTask_Name()`
`org.eclipse.emf.ecore.EReference` | `getTask_SubTasks()`
`org.eclipse.emf.ecore.EClass` | `getTask()`
`TaskFactory` | `getTaskFactory()`
`org.eclipse.emf.ecore.EAttribute` | `getUser_Active()`
`org.eclipse.emf.ecore.EAttribute` | `getUser_DateOfBirth()`
`org.eclipse.emf.ecore.EAttribute` | `getUser_Email()`
`org.eclipse.emf.ecore.EAttribute` | `getUser_FirstName()`
`org.eclipse.emf.ecore.EAttribute` | `getUser_Gender()`
`org.eclipse.emf.ecore.EAttribute` | `getUser_Heigth()`
`org.eclipse.emf.ecore.EAttribute` | `getUser_LastName()`
`org.eclipse.emf.ecore.EAttribute` | `getUser_Nationality()`
`org.eclipse.emf.ecore.EReference` | `getUser_Tasks()`
`org.eclipse.emf.ecore.EAttribute` | `getUser_TimeOfRegistration()`
`org.eclipse.emf.ecore.EAttribute` | `getUser_Weight()`
`org.eclipse.emf.ecore.EClass` | `getUser()`
`org.eclipse.emf.ecore.EAttribute` | `getUserGroup_Name()`
`org.eclipse.emf.ecore.EReference` | `getUserGroup_Users()`
`org.eclipse.emf.ecore.EClass` | `getUserGroup()`
`static TaskPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static TaskPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `TaskPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `TaskPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getTask

    public org.eclipse.emf.ecore.EClass getTask()

  Specified by:
    `getTask` in interface `TaskPackage`
  Returns:
    the meta object for class 'Task'.
  See Also:
    `Task`

### getTask_Name

    public org.eclipse.emf.ecore.EAttribute getTask_Name()

  Specified by:
    `getTask_Name` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Task.getName()`, `TaskPackage.getTask()`

### getTask_Description

    public org.eclipse.emf.ecore.EAttribute getTask_Description()

  Specified by:
    `getTask_Description` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `Task.getDescription()`, `TaskPackage.getTask()`

### getTask_Assignee

    public org.eclipse.emf.ecore.EReference getTask_Assignee()

  Specified by:
    `getTask_Assignee` in interface `TaskPackage`
  Returns:
    the meta object for the reference 'Assignee'.
  See Also:
    `Task.getAssignee()`, `TaskPackage.getTask()`

### getTask_DueDate

    public org.eclipse.emf.ecore.EAttribute getTask_DueDate()

  Specified by:
    `getTask_DueDate` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Due Date'.
  See Also:
    `Task.getDueDate()`, `TaskPackage.getTask()`

### getTask_SubTasks

    public org.eclipse.emf.ecore.EReference getTask_SubTasks()

  Specified by:
    `getTask_SubTasks` in interface `TaskPackage`
  Returns:
    the meta object for the containment reference list 'Sub Tasks'.
  See Also:
    `Task.getSubTasks()`, `TaskPackage.getTask()`

### getTask_Done

    public org.eclipse.emf.ecore.EAttribute getTask_Done()

  Specified by:
    `getTask_Done` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Done'.
  See Also:
    `Task.isDone()`, `TaskPackage.getTask()`

### getTask__HasName__DiagnosticChain_Map

    public org.eclipse.emf.ecore.EOperation getTask__HasName__DiagnosticChain_Map()

  Specified by:
    `getTask__HasName__DiagnosticChain_Map` in interface `TaskPackage`
  Returns:
    the meta object for the 'Has Name' operation.
  See Also:
    `Task.hasName(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### getUser

    public org.eclipse.emf.ecore.EClass getUser()

  Specified by:
    `getUser` in interface `TaskPackage`
  Returns:
    the meta object for class 'User'.
  See Also:
    `User`

### getUser_FirstName

    public org.eclipse.emf.ecore.EAttribute getUser_FirstName()

  Specified by:
    `getUser_FirstName` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'First Name'.
  See Also:
    `User.getFirstName()`, `TaskPackage.getUser()`

### getUser_LastName

    public org.eclipse.emf.ecore.EAttribute getUser_LastName()

  Specified by:
    `getUser_LastName` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Last Name'.
  See Also:
    `User.getLastName()`, `TaskPackage.getUser()`

### getUser_Gender

    public org.eclipse.emf.ecore.EAttribute getUser_Gender()

  Specified by:
    `getUser_Gender` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Gender'.
  See Also:
    `User.getGender()`, `TaskPackage.getUser()`

### getUser_Active

    public org.eclipse.emf.ecore.EAttribute getUser_Active()

  Specified by:
    `getUser_Active` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Active'.
  See Also:
    `User.isActive()`, `TaskPackage.getUser()`

### getUser_TimeOfRegistration

    public org.eclipse.emf.ecore.EAttribute getUser_TimeOfRegistration()

  Specified by:
    `getUser_TimeOfRegistration` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Time Of Registration'.
  See Also:
    `User.getTimeOfRegistration()`, `TaskPackage.getUser()`

### getUser_Weight

    public org.eclipse.emf.ecore.EAttribute getUser_Weight()

  Specified by:
    `getUser_Weight` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Weight'.
  See Also:
    `User.getWeight()`, `TaskPackage.getUser()`

### getUser_Heigth

    public org.eclipse.emf.ecore.EAttribute getUser_Heigth()

  Specified by:
    `getUser_Heigth` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Heigth'.
  See Also:
    `User.getHeigth()`, `TaskPackage.getUser()`

### getUser_Nationality

    public org.eclipse.emf.ecore.EAttribute getUser_Nationality()

  Specified by:
    `getUser_Nationality` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Nationality'.
  See Also:
    `User.getNationality()`, `TaskPackage.getUser()`

### getUser_DateOfBirth

    public org.eclipse.emf.ecore.EAttribute getUser_DateOfBirth()

  Specified by:
    `getUser_DateOfBirth` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Date Of Birth'.
  See Also:
    `User.getDateOfBirth()`, `TaskPackage.getUser()`

### getUser_Email

    public org.eclipse.emf.ecore.EAttribute getUser_Email()

  Specified by:
    `getUser_Email` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Email'.
  See Also:
    `User.getEmail()`, `TaskPackage.getUser()`

### getUser_Tasks

    public org.eclipse.emf.ecore.EReference getUser_Tasks()

  Specified by:
    `getUser_Tasks` in interface `TaskPackage`
  Returns:
    the meta object for the reference list 'Tasks'.
  See Also:
    `User.getTasks()`, `TaskPackage.getUser()`

### getUserGroup

    public org.eclipse.emf.ecore.EClass getUserGroup()

  Specified by:
    `getUserGroup` in interface `TaskPackage`
  Returns:
    the meta object for class 'User Group'.
  See Also:
    `UserGroup`

### getUserGroup_Name

    public org.eclipse.emf.ecore.EAttribute getUserGroup_Name()

  Specified by:
    `getUserGroup_Name` in interface `TaskPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `UserGroup.getName()`, `TaskPackage.getUserGroup()`

### getUserGroup_Users

    public org.eclipse.emf.ecore.EReference getUserGroup_Users()

  Specified by:
    `getUserGroup_Users` in interface `TaskPackage`
  Returns:
    the meta object for the containment reference list 'Users'.
  See Also:
    `UserGroup.getUsers()`, `TaskPackage.getUserGroup()`

### getGender

    public org.eclipse.emf.ecore.EEnum getGender()

  Specified by:
    `getGender` in interface `TaskPackage`
  Returns:
    the meta object for enum 'Gender'.
  See Also:
    `Gender`

### getNationality

    public org.eclipse.emf.ecore.EEnum getNationality()

  Specified by:
    `getNationality` in interface `TaskPackage`
  Returns:
    the meta object for enum 'Nationality'.
  See Also:
    `Nationality`

### getDateOfBirth

    public org.eclipse.emf.ecore.EDataType getDateOfBirth()

  Specified by:
    `getDateOfBirth` in interface `TaskPackage`
  Returns:
    the meta object for data type 'Date Of Birth'.
  See Also:
    `XMLGregorianCalendar`

### getTaskFactory

    public TaskFactory getTaskFactory()

  Specified by:
    `getTaskFactory` in interface `TaskPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.